package com.muyu.common.core.validation.custom;

import com.muyu.common.core.enums.SystemYesNo;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

public class SystemYesNoValidator implements ConstraintValidator<IsSystemYesNo,String> {

    @Override
    public boolean isValid(String value, ConstraintValidatorContext constraintValidatorContext) {
        return SystemYesNo.isCode(value);
    }
}
